std::hash< _Tp > Struct Template Reference
Utilities » Function Objects » Hashes

`#include <functional_hash.h>`

Inherits std::__hash_enum< _Tp, bool >.

## Detailed Description

template<typename _Tp>
struct std::hash< _Tp >

Primary class template hash.

Primary class template hash, usable for enum types only.

Definition at line 101 of file functional_hash.h.

The documentation for this struct was generated from the following file:

- system_error